
import { FormProps,  BasicColumn } from '@/components/Table';
import {treeOptionsListApi} from "@/api/demo/tree";

export function getEditCellColumns(): BasicColumn[] {
  return [
    {
      title: '线索名称',
      // defaultHidden: true,
      dataIndex: 'cluesName',
      sorter: true,
      width: 200
    },
    {
      title: '公司网址',
      dataIndex: 'homepage',
      width: 200,
    },
    {
      title: '线索来源',
      dataIndex: 'originList',
      width: 200,
    },
    {
      title: '简称',
      dataIndex: 'shortName',
      width: 200,
    },
    {
      title: '国家',
      dataIndex: 'country',
      width: 200,
    },
    {
      title: '省份',
      dataIndex: 'province',
      width: 200,
    },
    {
      title: '地区',
      dataIndex: 'city',
      width: 200,
    },
    {
      title: '公司名称',
      dataIndex: 'corporate',
      width: 200,
    },
    {
      title: '公司类型',
      dataIndex: 'bizType',
      width: 200,
    },
    {
      title: '地区号',
      dataIndex: 'telAreaCode',
      width: 200,
    },
    {
      title: '座机',
      dataIndex: 'tel',
      width: 200,
    },
    {
      title: '采购意向',
      dataIndex: 'intentionLevel',
      width: 200,
    },
    {
      title: '年采购额',
      dataIndex: 'annualProcurement',
      width: 200,
    },
    {
      title: '时区',
      dataIndex: 'timezone',
      width: 200,
    },
    {
      title: '详细地址',
      dataIndex: 'address',
      width: 200,
    },
    {
      title: '搜索关键字',
      dataIndex: 'adKeyword',
      width: 200,
    },
    {
      title: '图片',
      dataIndex: 'imageList',
      width: 200,
    },
    {
      title: '线索备注',
      dataIndex: 'hdmeno',
      width: 200,
    },
    {
      title: '规模',
      dataIndex: 'scaleId',
      width: 200,
    },
    {
      title: '业务员',
      dataIndex: 'seller',
      width: 200,
    },
    {
      title: '访问来源',
      dataIndex: 'inquiryOrigin',
      width: 200,
    },
    {
      title: '主营产品',
      dataIndex: 'categoryIds',
      width: 200,
    },
    {
      title: '访问IP所在地',
      dataIndex: 'inquiryCountry',
      width: 200,
    },
    {
      title: '是否已关注',
      dataIndex: 'pinFlag',
      width: 200,
    },

    {
      title: '最近联系人',
      dataIndex: 'id',
      helpMessage: ['管理员指定客户联系行为:','发送邮件 (客户+商机)','接收邮件 (客户+商机)','营销邮件 (客户+商机)','新建跟进 (客户+商机)','新建/编辑 商机'],
      sorter: true,
      width: 200,
    },
    {
      title: '国家地区',
      dataIndex: 'name3',
      sorter: true,
      edit: true,
      editComponent: 'Select',
      editComponentProps: {
        options: [
          {
            label: 'Option1',
            value: '1',
          },
          {
            label: 'Option2',
            value: '2',
          },
        ],
      },
      width: 200,
    },
    {
      title: '存档时间',
      dataIndex: 'archiveTime',
      sorter: true,
      width: 200,
    },
    {
      title: '状态id',
      dataIndex: 'statusId',
      width: 200,
    },
    {
      title: '状态内容',
      dataIndex: 'status',
      width: 200,
    },
    {
      title: '跟进时间',
      dataIndex: 'followUpTime',
      width: 200,
    },
    {
      title: '无效类型',
      dataIndex: 'failType',
      width: 200,
    },
    {
      title: '无效状态',
      dataIndex: 'failStatus',
      width: 200,
    },
    {
      title: '无效状态内容',
      dataIndex: 'failStatusName',
      width: 200,
    },
    {
      title: '无效原因',
      dataIndex: 'failReason',
      width: 200,
    },
    {
      title: '进入私海时间',
      dataIndex: 'privateTime',
      width: 200,
    },
    {
      title: '进入公海时间',
      dataIndex: 'publicTime',
      width: 200,
    },
    {
      title: '是否为公海线索',
      dataIndex: 'isPublic',
      width: 200,
    },
    {
      title: '评分',
      dataIndex: 'star',
      width: 200,
    },
    {
      title: '下次跟进时间',
      dataIndex: 'nextFollowUpTime',
      width: 200,
    },
    {
      title: '是否有重复内容',
      dataIndex: 'duplicateFlag',
      width: 200,
    },
    {
      title: '标签',
      dataIndex: 'tagList',
      width: 200,
    },
    {
      title: '远程下拉树',
      dataIndex: 'name8',
      edit: true,
      editComponent: 'ApiTreeSelect',
      editRule: false,
      editComponentProps: {
        api: treeOptionsListApi,
        resultField: 'list',
      },
      width: 200,
    },

  ]
}



// export function getFormConfig(): Partial<FormProps> {
//   return {
//     labelWidth: 100,
//     layout: 'horizontal',
//     rowProps: {
//       justify: 'end',
//     },
//     showResetButton: false,
//     showSubmitButton: false,
//     schemas: [
//       {
//         field: `cluesKeyword`,
//         label: `搜索`,
//         component: 'InputSearch',
//         colProps: {
//           xl: 12,
//           xxl: 8,
//         },
//         componentProps: {
//           onSearch: (value) => {
//             console.log(value);
//           },
//         },
//       },
//     ],
//   };
// }
